package com.mdd.admin.vo.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("充值记录列表Vo")
public class FinanceRechargeListVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("ID")
   private Integer id;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("用户头像")
   private String avatar;
   @ApiModelProperty("用户编号")
   private String userSn;
   @ApiModelProperty("订单编号")
   private String orderSn;
   @ApiModelProperty("支付方式: [2=微信支付, 3=支付宝支付]")
   private String payWay;
   @ApiModelProperty("支付状态: [0=待支付, 1=已支付]")
   private Integer payStatus;
   @ApiModelProperty("退款状态: [0=未退款 , 1=已退款]")
   private Integer refundStatus;
   @ApiModelProperty("是否有退款: [0=否 , 1=是]")
   private Integer isRefund;
   @ApiModelProperty("退款状态描述")
   private String refundStatusMsg;
   @ApiModelProperty("支付金额")
   private BigDecimal orderAmount;
   @ApiModelProperty("支付时间")
   private String payTime;
   @ApiModelProperty("创建时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getUserSn() {
      return this.userSn;
   }

   public String getOrderSn() {
      return this.orderSn;
   }

   public String getPayWay() {
      return this.payWay;
   }

   public Integer getPayStatus() {
      return this.payStatus;
   }

   public Integer getRefundStatus() {
      return this.refundStatus;
   }

   public Integer getIsRefund() {
      return this.isRefund;
   }

   public String getRefundStatusMsg() {
      return this.refundStatusMsg;
   }

   public BigDecimal getOrderAmount() {
      return this.orderAmount;
   }

   public String getPayTime() {
      return this.payTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setUserSn(String userSn) {
      this.userSn = userSn;
   }

   public void setOrderSn(String orderSn) {
      this.orderSn = orderSn;
   }

   public void setPayWay(String payWay) {
      this.payWay = payWay;
   }

   public void setPayStatus(Integer payStatus) {
      this.payStatus = payStatus;
   }

   public void setRefundStatus(Integer refundStatus) {
      this.refundStatus = refundStatus;
   }

   public void setIsRefund(Integer isRefund) {
      this.isRefund = isRefund;
   }

   public void setRefundStatusMsg(String refundStatusMsg) {
      this.refundStatusMsg = refundStatusMsg;
   }

   public void setOrderAmount(BigDecimal orderAmount) {
      this.orderAmount = orderAmount;
   }

   public void setPayTime(String payTime) {
      this.payTime = payTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceRechargeListVo)) {
         return false;
      } else {
         FinanceRechargeListVo other = (FinanceRechargeListVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label167;
                  }
               } else if (this$id.equals(other$id)) {
                  break label167;
               }

               return false;
            }

            Object this$payStatus = this.getPayStatus();
            Object other$payStatus = other.getPayStatus();
            if (this$payStatus == null) {
               if (other$payStatus != null) {
                  return false;
               }
            } else if (!this$payStatus.equals(other$payStatus)) {
               return false;
            }

            label153: {
               Object this$refundStatus = this.getRefundStatus();
               Object other$refundStatus = other.getRefundStatus();
               if (this$refundStatus == null) {
                  if (other$refundStatus == null) {
                     break label153;
                  }
               } else if (this$refundStatus.equals(other$refundStatus)) {
                  break label153;
               }

               return false;
            }

            Object this$isRefund = this.getIsRefund();
            Object other$isRefund = other.getIsRefund();
            if (this$isRefund == null) {
               if (other$isRefund != null) {
                  return false;
               }
            } else if (!this$isRefund.equals(other$isRefund)) {
               return false;
            }

            label139: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label139;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label139;
               }

               return false;
            }

            Object this$avatar = this.getAvatar();
            Object other$avatar = other.getAvatar();
            if (this$avatar == null) {
               if (other$avatar != null) {
                  return false;
               }
            } else if (!this$avatar.equals(other$avatar)) {
               return false;
            }

            label125: {
               Object this$userSn = this.getUserSn();
               Object other$userSn = other.getUserSn();
               if (this$userSn == null) {
                  if (other$userSn == null) {
                     break label125;
                  }
               } else if (this$userSn.equals(other$userSn)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$orderSn = this.getOrderSn();
               Object other$orderSn = other.getOrderSn();
               if (this$orderSn == null) {
                  if (other$orderSn == null) {
                     break label118;
                  }
               } else if (this$orderSn.equals(other$orderSn)) {
                  break label118;
               }

               return false;
            }

            Object this$payWay = this.getPayWay();
            Object other$payWay = other.getPayWay();
            if (this$payWay == null) {
               if (other$payWay != null) {
                  return false;
               }
            } else if (!this$payWay.equals(other$payWay)) {
               return false;
            }

            label104: {
               Object this$refundStatusMsg = this.getRefundStatusMsg();
               Object other$refundStatusMsg = other.getRefundStatusMsg();
               if (this$refundStatusMsg == null) {
                  if (other$refundStatusMsg == null) {
                     break label104;
                  }
               } else if (this$refundStatusMsg.equals(other$refundStatusMsg)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$orderAmount = this.getOrderAmount();
               Object other$orderAmount = other.getOrderAmount();
               if (this$orderAmount == null) {
                  if (other$orderAmount == null) {
                     break label97;
                  }
               } else if (this$orderAmount.equals(other$orderAmount)) {
                  break label97;
               }

               return false;
            }

            Object this$payTime = this.getPayTime();
            Object other$payTime = other.getPayTime();
            if (this$payTime == null) {
               if (other$payTime != null) {
                  return false;
               }
            } else if (!this$payTime.equals(other$payTime)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceRechargeListVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $payStatus = this.getPayStatus();
      result = result * 59 + ($payStatus == null ? 43 : $payStatus.hashCode());
      Object $refundStatus = this.getRefundStatus();
      result = result * 59 + ($refundStatus == null ? 43 : $refundStatus.hashCode());
      Object $isRefund = this.getIsRefund();
      result = result * 59 + ($isRefund == null ? 43 : $isRefund.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $userSn = this.getUserSn();
      result = result * 59 + ($userSn == null ? 43 : $userSn.hashCode());
      Object $orderSn = this.getOrderSn();
      result = result * 59 + ($orderSn == null ? 43 : $orderSn.hashCode());
      Object $payWay = this.getPayWay();
      result = result * 59 + ($payWay == null ? 43 : $payWay.hashCode());
      Object $refundStatusMsg = this.getRefundStatusMsg();
      result = result * 59 + ($refundStatusMsg == null ? 43 : $refundStatusMsg.hashCode());
      Object $orderAmount = this.getOrderAmount();
      result = result * 59 + ($orderAmount == null ? 43 : $orderAmount.hashCode());
      Object $payTime = this.getPayTime();
      result = result * 59 + ($payTime == null ? 43 : $payTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceRechargeListVo(id=" + this.getId() + ", nickname=" + this.getNickname() + ", avatar=" + this.getAvatar() + ", userSn=" + this.getUserSn() + ", orderSn=" + this.getOrderSn() + ", payWay=" + this.getPayWay() + ", payStatus=" + this.getPayStatus() + ", refundStatus=" + this.getRefundStatus() + ", isRefund=" + this.getIsRefund() + ", refundStatusMsg=" + this.getRefundStatusMsg() + ", orderAmount=" + this.getOrderAmount() + ", payTime=" + this.getPayTime() + ", createTime=" + this.getCreateTime() + ")";
   }
}
